summaryrefslogtreecommitdiffstats
path: root/development/SoQt
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-11 20:00:20 +0200
committer Robby Workman2010-05-11 20:00:20 +0200
commit4a1b3ed22a318ef202c19fe34c1b3aa91cabb1c1 (patch)
treeefb762cf270dc7a589707ab28bd34e7fc344e459 /development/SoQt
parent614938484084d871e044d5e721606266654c4ebf (diff)
downloadslackbuilds-4a1b3ed22a318ef202c19fe34c1b3aa91cabb1c1.tar.gz
development/SoQt: Added to 12.0 repository
Diffstat (limited to 'development/SoQt')
-rw-r--r--development/SoQt/README17
-rw-r--r--development/SoQt/SoQt.SlackBuild61
-rw-r--r--development/SoQt/SoQt.info8
-rw-r--r--development/SoQt/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/development/SoQt/README b/development/SoQt/README
new file mode 100644
index 0000000000..0269cee6ce
--- /dev/null
+++ b/development/SoQt/README
@@ -0,0 +1,17 @@
+SoQt is set of Qt GUI bindings for Coin library.
+
+By using the combination of Coin, Qt and SoQt for your 3D applications,
+you have a framework for writing completely portable software across the
+whole range of UNIX, Linux, Microsoft Windows and Mac OS X operating
+systems. Coin, Qt and SoQt makes this possible from a 100% common
+codebase, which means there is a minimum of hassle for developers when
+working on multiplatform software, with the resulting large gains in
+productivity.
+
+SoQt, like Coin and Qt, provides the programmer with a high-level
+application programmer's interface (API) in C++. The library primarily
+includes a class-hierarchy of viewer components of varying functionality
+and complexity, with various modes for the end-user to control the
+3D-scene camera interaction.
+
+SoQt requires the Coin library, which is also available at SlackBuilds.org.
diff --git a/development/SoQt/SoQt.SlackBuild b/development/SoQt/SoQt.SlackBuild
new file mode 100644
index 0000000000..bbaa5a76bb
--- /dev/null
+++ b/development/SoQt/SoQt.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for SoQt
+
+# Written by Aleksandar B. Samardzic (<asamardzic@matf.bg.ac.yu>)
+
+set -e
+
+PRGNAM=SoQt
+VERSION=1.4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root . || true
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS.txt COPYING ChangeLog FAQ INSTALL* LICENSE.GPL \
+ NEWS README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/SoQt/SoQt.info b/development/SoQt/SoQt.info
new file mode 100644
index 0000000000..2e475b09ec
--- /dev/null
+++ b/development/SoQt/SoQt.info
@@ -0,0 +1,8 @@
+PRGNAM="SoQt"
+VERSION="1.4.1"
+HOMEPAGE="http://www.coin3d.org/lib/soqt/"
+DOWNLOAD="http://ftp.coin3d.org/coin/src/all/SoQt-1.4.1.tar.gz"
+MD5SUM="6dddafb755e9afb9924da1d46f3cd0d4"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="rworkman"
diff --git a/development/SoQt/slack-desc b/development/SoQt/slack-desc
new file mode 100644
index 0000000000..ff922e2432
--- /dev/null
+++ b/development/SoQt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+SoQt: SoQt (Qt GUI bindings for Coin library)
+SoQt:
+SoQt: SoQt is a library which provides the glue between Coin
+SoQt: high-level 3D visualization library and Troll Tech's Qt
+SoQt: 2D user interface library.
+SoQt:
+SoQt: Homepage: http://www.coin3d.org/lib/soqt/
+SoQt:
+SoQt:
+SoQt:
+SoQt: